package com.steerinfo.baseinfo.meterbaseunloadtimecontrol.model;

import com.steerinfo.framework.model.IBasePO;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.util.Date;

@ApiModel(value="计量卸货时间配置表")
public class MeterBaseUnloadTimecontrol implements IBasePO<String> {
    /**
     * 主键编号（YYYYMMDD+4位流水）(UNLOAD_TIME_NO,VARCHAR,20)
     */
    @ApiModelProperty(value="主键编号（YYYYMMDD+4位流水）",required=true)
    private String unloadTimeNo;

    /**
     * 计量点编号(BASE_SPOT_NO,VARCHAR,20)
     */
    @ApiModelProperty(value="计量点编号",required=false)
    private String baseSpotNo;

    /**
     * 计量点名称(BASE_SPOT_NAME,VARCHAR,40)
     */
    @ApiModelProperty(value="计量点名称",required=false)
    private String baseSpotName;

    /**
     * 装卸点编号(LOAD_POINT_NO,VARCHAR,20)
     */
    @ApiModelProperty(value="装卸点编号",required=false)
    private String loadPointNo;

    /**
     * 装卸点名称(LOAD_POINT_NAME,VARCHAR,60)
     */
    @ApiModelProperty(value="装卸点名称",required=false)
    private String loadPointName;

    /**
     * 卸货时间（分钟）(LOAD_TIME,DECIMAL,10)
     */
    @ApiModelProperty(value="卸货时间（分钟）",required=false)
    private Long loadTime;

    /**
     * 备注(MEMO,VARCHAR,200)
     */
    @ApiModelProperty(value="备注",required=false)
    private String memo;

    /**
     * 创建人编号(CREATE_MAN_NO,VARCHAR,20)
     */
    @ApiModelProperty(value="创建人编号",required=false)
    private String createManNo;

    /**
     * 创建人姓名(CREATE_MAN_NAME,VARCHAR,30)
     */
    @ApiModelProperty(value="创建人姓名",required=false)
    private String createManName;

    /**
     * 创建时间（YYYY-MM-DD HH:mm:SS）(CREATE_TIME,TIMESTAMP,7)
     */
    @ApiModelProperty(value="创建时间（YYYY-MM-DD HH:mm:SS）",required=false)
    private Date createTime;

    /**
     * 修改人编号(UPDATE_MAN_NO,VARCHAR,20)
     */
    @ApiModelProperty(value="修改人编号",required=false)
    private String updateManNo;

    /**
     * 修改人姓名(UPDATE_MAN_NAME,VARCHAR,30)
     */
    @ApiModelProperty(value="修改人姓名",required=false)
    private String updateManName;

    /**
     * 修改时间（YYYY-MM-DD HH:mm:SS）(UPDATE_TIME,TIMESTAMP,7)
     */
    @ApiModelProperty(value="修改时间（YYYY-MM-DD HH:mm:SS）",required=false)
    private Date updateTime;

    /**
     * 物料编号(MATTER_NO,VARCHAR,20)
     */
    @ApiModelProperty(value="物料编号",required=false)
    private String matterNo;

    /**
     * 物料名称(MATTER_NAME,VARCHAR,200)
     */
    @ApiModelProperty(value="物料名称",required=false)
    private String matterName;

    /**
     * 毛重时间(GRSOSS_WEIGHT_TIME,TIMESTAMP,7)
     */
    @ApiModelProperty(value="毛重时间",required=false)
    private Date grsossWeightTime;

    /**
     * 卸货截止时间(UNLOAD_END_TIMA,TIMESTAMP,7)
     */
    @ApiModelProperty(value="卸货截止时间",required=false)
    private Date unloadEndTima;

    /**
     * 卸货操作时间(UNLOAD_OPERATE_TIMA,TIMESTAMP,7)
     */
    @ApiModelProperty(value="卸货操作时间",required=false)
    private Date unloadOperateTima;

    /**
     * 毛重计量编号(GROSS_NO,VARCHAR,20)
     */
    @ApiModelProperty(value="毛重计量编号",required=false)
    private String grossNo;

    private static final long serialVersionUID = 1L;

    @Override
    public String getId() {
        return this.unloadTimeNo;
    }

    @Override
    public void setId(String unloadTimeNo) {
        this.unloadTimeNo = unloadTimeNo == null ? null : unloadTimeNo.trim();
    }

    public String getUnloadTimeNo() {
        return unloadTimeNo;
    }

    public void setUnloadTimeNo(String unloadTimeNo) {
        this.unloadTimeNo = unloadTimeNo == null ? null : unloadTimeNo.trim();
    }

    public String getBaseSpotNo() {
        return baseSpotNo;
    }

    public void setBaseSpotNo(String baseSpotNo) {
        this.baseSpotNo = baseSpotNo == null ? null : baseSpotNo.trim();
    }

    public String getBaseSpotName() {
        return baseSpotName;
    }

    public void setBaseSpotName(String baseSpotName) {
        this.baseSpotName = baseSpotName == null ? null : baseSpotName.trim();
    }

    public String getLoadPointNo() {
        return loadPointNo;
    }

    public void setLoadPointNo(String loadPointNo) {
        this.loadPointNo = loadPointNo == null ? null : loadPointNo.trim();
    }

    public String getLoadPointName() {
        return loadPointName;
    }

    public void setLoadPointName(String loadPointName) {
        this.loadPointName = loadPointName == null ? null : loadPointName.trim();
    }

    public Long getLoadTime() {
        return loadTime;
    }

    public void setLoadTime(Long loadTime) {
        this.loadTime = loadTime;
    }

    public String getMemo() {
        return memo;
    }

    public void setMemo(String memo) {
        this.memo = memo == null ? null : memo.trim();
    }

    public String getCreateManNo() {
        return createManNo;
    }

    public void setCreateManNo(String createManNo) {
        this.createManNo = createManNo == null ? null : createManNo.trim();
    }

    public String getCreateManName() {
        return createManName;
    }

    public void setCreateManName(String createManName) {
        this.createManName = createManName == null ? null : createManName.trim();
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public String getUpdateManNo() {
        return updateManNo;
    }

    public void setUpdateManNo(String updateManNo) {
        this.updateManNo = updateManNo == null ? null : updateManNo.trim();
    }

    public String getUpdateManName() {
        return updateManName;
    }

    public void setUpdateManName(String updateManName) {
        this.updateManName = updateManName == null ? null : updateManName.trim();
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    public String getMatterNo() {
        return matterNo;
    }

    public void setMatterNo(String matterNo) {
        this.matterNo = matterNo == null ? null : matterNo.trim();
    }

    public String getMatterName() {
        return matterName;
    }

    public void setMatterName(String matterName) {
        this.matterName = matterName == null ? null : matterName.trim();
    }

    public Date getGrsossWeightTime() {
        return grsossWeightTime;
    }

    public void setGrsossWeightTime(Date grsossWeightTime) {
        this.grsossWeightTime = grsossWeightTime;
    }

    public Date getUnloadEndTima() {
        return unloadEndTima;
    }

    public void setUnloadEndTima(Date unloadEndTima) {
        this.unloadEndTima = unloadEndTima;
    }

    public Date getUnloadOperateTima() {
        return unloadOperateTima;
    }

    public void setUnloadOperateTima(Date unloadOperateTima) {
        this.unloadOperateTima = unloadOperateTima;
    }

    public String getGrossNo() {
        return grossNo;
    }

    public void setGrossNo(String grossNo) {
        this.grossNo = grossNo == null ? null : grossNo.trim();
    }

    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append(getClass().getSimpleName());
        sb.append(" [");
        sb.append("Hash = ").append(hashCode());
        sb.append(", unloadTimeNo=").append(unloadTimeNo);
        sb.append(", baseSpotNo=").append(baseSpotNo);
        sb.append(", baseSpotName=").append(baseSpotName);
        sb.append(", loadPointNo=").append(loadPointNo);
        sb.append(", loadPointName=").append(loadPointName);
        sb.append(", loadTime=").append(loadTime);
        sb.append(", memo=").append(memo);
        sb.append(", createManNo=").append(createManNo);
        sb.append(", createManName=").append(createManName);
        sb.append(", createTime=").append(createTime);
        sb.append(", updateManNo=").append(updateManNo);
        sb.append(", updateManName=").append(updateManName);
        sb.append(", updateTime=").append(updateTime);
        sb.append(", matterNo=").append(matterNo);
        sb.append(", matterName=").append(matterName);
        sb.append(", grsossWeightTime=").append(grsossWeightTime);
        sb.append(", unloadEndTima=").append(unloadEndTima);
        sb.append(", unloadOperateTima=").append(unloadOperateTima);
        sb.append(", grossNo=").append(grossNo);
        sb.append(", serialVersionUID=").append(serialVersionUID);
        sb.append("]");
        return sb.toString();
    }
}